Sign inGet started

Organizations

POST
/organizations
Create a new organization for the current user.
Treść żądania
name
string
wymagane
Organization's display name.
slug
string
wymagane
Organization's human-readable identifier.
countryCode
string
wymagane
The country in which the organization operates.
Treść odpowiedzi
id
string
wymagane
The organization's ID
name
string
wymagane
Organization's display name.
slug
string
wymagane
Human-readable identifier
avatarUrl
string
URL to the organization avatar.
status
string
wymagane
Current status
Possible values: active, banned
statusReason
string
The reason for the organization's status (if any).
pendingMemberCount
integer
How many members are pending to join the organization
activeMemberCount
integer
wymagane
How many members are active
owner
string
wymagane
ID of the user that owns the organization
createdAt
string
wymagane
When the organization was created
updatedAt
string
When the organization was last updated
managedBy
array of object
List of entities managing the organization
Pokaż atrybuty podrzędne
managedBy.Type
string
Type of the entity managing the organization
managedBy.ID
string
ID of the entity managing the organization
verified
boolean
Przykład kodu
curl -X POST 'https://api.bird.com/organizations' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}
Get an organization by its ID.
Treść odpowiedzi
id
string
wymagane
The organization's ID
name
string
wymagane
Organization's display name.
slug
string
wymagane
Human-readable identifier
avatarUrl
string
URL to the organization avatar.
status
string
wymagane
Current status
Possible values: active, banned
statusReason
string
The reason for the organization's status (if any).
pendingMemberCount
integer
How many members are pending to join the organization
activeMemberCount
integer
wymagane
How many members are active
owner
string
wymagane
ID of the user that owns the organization
createdAt
string
wymagane
When the organization was created
updatedAt
string
When the organization was last updated
managedBy
array of object
List of entities managing the organization
Pokaż atrybuty podrzędne
managedBy.Type
string
Type of the entity managing the organization
managedBy.ID
string
ID of the entity managing the organization
verified
boolean
Przykład kodu
curl -X GET 'https://api.bird.com/organizations/{organizationId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}
Update an organization's properties.
Treść żądania
name
string
Organization's display name.
avatarUrl
string
The url of the avatar displayed next to the org
status
string
Possible values: banned, active
statusReason
string
The reason for the organization's status
owner
string
The organization's owner's ID
Treść odpowiedzi
id
string
wymagane
The organization's ID
name
string
wymagane
Organization's display name.
slug
string
wymagane
Human-readable identifier
avatarUrl
string
URL to the organization avatar.
status
string
wymagane
Current status
Possible values: active, banned
statusReason
string
The reason for the organization's status (if any).
pendingMemberCount
integer
How many members are pending to join the organization
activeMemberCount
integer
wymagane
How many members are active
owner
string
wymagane
ID of the user that owns the organization
createdAt
string
wymagane
When the organization was created
updatedAt
string
When the organization was last updated
managedBy
array of object
List of entities managing the organization
Pokaż atrybuty podrzędne
managedBy.Type
string
Type of the entity managing the organization
managedBy.ID
string
ID of the entity managing the organization
verified
boolean
Przykład kodu
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'